//////////////////////////////////////////////////////////////////////////////
// node.hpp
//
// Jeffry A Worth
// November 10, 1995
//////////////////////////////////////////////////////////////////////////////

#ifndef __NODE_HPP__
#define __NODE_HPP__

//////////////////////////////////////////////////////////////////////////////
// INCLUDES
#include <stdio.h>

//////////////////////////////////////////////////////////////////////////////
// Definitions
#define AFNODE_REMOVE 0x8000000

//////////////////////////////////////////////////////////////////////////////
// Node Class

class AFNode
{
public:
  AFNode(void *pobject, AFNode *pnext=NULL);  // Constructor
  void Destroy();

// Data elements
  void *m_pobject;
  AFNode *m_pnext;
  unsigned long m_flags;
};

//////////////////////////////////////////////////////////////////////////////
#endif // __NODE_HPP__
