//////////////////////////////////////////////////////////////////////////////
// panel.hpp
//
// Jeffry  Worth
// November 10, 1995
//////////////////////////////////////////////////////////////////////////////

#ifndef __PANEL_HPP__
#define __PANEL_HPP__

//////////////////////////////////////////////////////////////////////////////
// INCLUDES
#include <string.h>
#include "aframe:include/gadget.hpp"

//////////////////////////////////////////////////////////////////////////////
// Definitions
#define PANEL_BEVELDOWN	0
#define PANEL_BEVELUP	1
#define PANEL_NOBORDER	2

//////////////////////////////////////////////////////////////////////////////
// Panel Class

class AFPanel : public AFGadget
{
public:
  AFPanel();
  ~AFPanel();

  virtual void DestroyObject();
  virtual char *ObjectType() { return "Panel"; };

  virtual void Create(char *text, AFWindow* pwindow, AFRect *rect, ULONG id,
		int bevel);

  struct IntuiText m_IntuiText;
  struct Border m_gborder,m_gborder2;
  char *m_text;
  WORD m_xyshine[6];
  WORD m_xyshadow[6];
};

//////////////////////////////////////////////////////////////////////////////
#endif // __PANEL_HPP__
