/////////////////////
// CDRPlay.HPP
//
// Deryk B Robosson
// February 6, 1996
/////////////////////

#ifndef __CDRPLAY_HPP__
#define __CDRPLAY_HPP__

//////////////////////////////////////////////////////////////////////////////
// Includes
#include <exec/types.h>
#include <string.h>
#include "aframe:include/amigaapp.hpp"
#include "aframe:include/window.hpp"
#include "aframe:include/rastport.hpp"
#include "aframe:include/rect.hpp"
#include "aframe:include/panel.hpp"
#include "aframe:include/imagebutton.hpp"
#include "aframe:include/cdrom.hpp"
#include "aframe:resources/Brushes_Select.res"
#include "aframe:resources/Brushes_Render.res"
#include "aframe:resources/About.res"

//////////////////////////////////////////////////////////////////////////////
// MACROS
#define BASE2MIN(val)	((val)/75/60)
#define BASE2SEC(val)	(((val)/75)%60)

///////////////////////////////////////////////////////////////////////////////
// DEFINES
#define ID_PLAY        100
#define ID_PAUSE       101
#define ID_STOP        102
#define ID_NEXT        103
#define ID_PREV        104
#define ID_ABOUTBOX    105
#define ID_ABOUTPANEL  106
#define ID_ABOUT       107

///////////////////////////////////////////////////////////////////////////////
// GLOBAL VARS
ULONG mytrack;

#endif // __CDRPLAY_HPP__